Subject: vaginal yeast infections

From: [email-masked] (Nigel Vezeau)
Date: Sun, 23 Jul 1995 20:06:22 GMT

I am interested in any remedies (preferably herbal) for vaginal yeast
infections. (I already posted an article requesting remedies but most
people thought I meant colon yeast infections.) Please reply by e-mail.

Thanks in advance.

Sarah